import type { SidebarsConfig } from "@docusaurus/plugin-content-docs";

const sidebar: SidebarsConfig = {
  apisidebar: [
    {
      type: "doc",
      id: "apis/wallet/tsg-wallet",
    },
    {
      type: "category",
      label: "Health",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/health-controller-get-health",
          label: "Health check",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Settings",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/config-controller-get-settings",
          label: "Retrieve settings",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/config-controller-update-settings",
          label: "Update settings",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/config-controller-upload-file",
          label: "Upload logo",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Authentication",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/auth-controller-get-user",
          label: "Retrieve current user status",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/auth-controller-login",
          label: "Login redirect",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/auth-controller-logout",
          label: "Logout redirect",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/auth-controller-callback",
          label: "Login callback",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Contexts",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/context-controller-get-context",
          label: "Retrieve context",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Keys",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/keys-controller-get-ca-chain",
          label: "Retrieve Key CA chain",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Credentials",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/credentials-controller-get-credentials",
          label: "List dataspace credentials",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/credentials-controller-get-credential",
          label: "Retrieve credential",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Management DID",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/did-management-controller-get-did-document",
          label: "Retrieve DID document",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/did-management-controller-get-services",
          label: "Retrieve DID services",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/did-management-controller-add-service",
          label: "Add DID service",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/did-management-controller-update-service",
          label: "Update DID service",
          className: "api-method put",
        },
        {
          type: "doc",
          id: "apis/wallet/did-management-controller-delete-service",
          label: "Delete DID service",
          className: "api-method delete",
        },
      ],
    },
    {
      type: "category",
      label: "Management Contexts",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/context-management-controller-get-contexts",
          label: "Retrieve contexts",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/context-management-controller-add-context",
          label: "Add context",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/context-management-controller-update-context",
          label: "Update context",
          className: "api-method put",
        },
        {
          type: "doc",
          id: "apis/wallet/context-management-controller-delete-context",
          label: "Delete context",
          className: "api-method delete",
        },
      ],
    },
    {
      type: "category",
      label: "Management Keys",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/keys-management-controller-get-keys",
          label: "Retrieve keys",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/keys-management-controller-add-key",
          label: "Add key",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/keys-management-controller-get-key",
          label: "Retrieve key",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/keys-management-controller-delete-key",
          label: "Delete key",
          className: "api-method delete",
        },
        {
          type: "doc",
          id: "apis/wallet/keys-management-controller-set-default-key",
          label: "Set default key",
          className: "api-method put",
        },
      ],
    },
    {
      type: "category",
      label: "Management Credentials",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/credentials-management-controller-get-credentials",
          label: "List credentials",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/credentials-management-controller-add-credential",
          label: "Add credential",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/credentials-management-controller-get-dataspace-credentials",
          label: "List dataspace credentials",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/credentials-management-controller-get-config",
          label: "Retrieve credential configuration",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/credentials-management-controller-import-credential",
          label: "Import credential",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/credentials-management-controller-get-credential",
          label: "Retrieve credential",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/credentials-management-controller-update-credential",
          label: "Update credential",
          className: "api-method put",
        },
        {
          type: "doc",
          id: "apis/wallet/credentials-management-controller-delete-credential",
          label: "Delete credential",
          className: "api-method delete",
        },
        {
          type: "doc",
          id: "apis/wallet/credentials-management-controller-revoke-credential",
          label: "Revoke credential",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Management Gaia-X Credentials",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/gaia-x-management-controller-request-legal-registration-number-credential",
          label: "Issue legal registration number credential",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/gaia-x-management-controller-request-compliance-credential",
          label: "Request compliance credential",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Management Presentation",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/presentation-management-controller-status",
          label: "Get the status of a credential",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "OpenID 4 Verifiable Credential Issuance",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/holder-controller-request-credential",
          label: "Request credential via OID4VCI",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/issuer-controller-issuer-metadata",
          label: "IssuerController_issuerMetadata",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/issuer-controller-token-endpoint",
          label: "Request OID4VCI access token",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/issuer-controller-credential-endpoint",
          label: "Request OID4VCI credential",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/issuer-controller-list-offers",
          label: "Retrieve offered credentials",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/issuer-controller-offer-endpoint",
          label: "Add offer",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/issuer-controller-list-general-offers",
          label: "Retrieve offered credential",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/issuer-controller-revoke-offer",
          label: "Revoke offer",
          className: "api-method put",
        },
      ],
    },
    {
      type: "category",
      label: "Presentation DCP",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/dcp-holder-controller-presentation-query",
          label: "Retrieve presentation",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/dcp-holder-management-controller-create-si-token",
          label: "Request a SIOP token",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/dcp-verifier-management-controller-verify",
          label: "Start verification flow",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Presentation Direct",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/direct-presentation-controller-create-presentation",
          label: "Request a presentation",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/direct-presentation-controller-validate-presentation",
          label: "Validate presentation",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Status",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/status-controller-get-status",
          label: "Application status",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "OID4VP",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/oid-4-vp-verifier-controller-get-authorization-request",
          label: "Get the Authorization Request",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/wallet/oid-4-vp-verifier-controller-status",
          label: "Add an Authorization Request",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/oid-4-vp-verifier-management-controller-status",
          label: "Add an Authorization Request",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Management Signatures",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/signature-management-controller-sign",
          label: "Sign document",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/wallet/signature-management-controller-validate",
          label: "Validate signed document",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "DID Web",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/did-web-controller-get-did",
          label: "Retrieve DID document",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Schemas",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/wallet/schemas/runtimeconfigdto",
          label: "RuntimeConfigDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/errordto",
          label: "ErrorDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/databasestatusdto",
          label: "DatabaseStatusDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/memoryusagedto",
          label: "MemoryUsageDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/issuancestatusdto",
          label: "IssuanceStatusDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialstatusdto",
          label: "CredentialStatusDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/statusdto",
          label: "StatusDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialstatusrequest",
          label: "CredentialStatusRequest",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/verifiedcredentialstatus",
          label: "VerifiedCredentialStatus",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/descriptormap",
          label: "DescriptorMap",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/presentationsubmission",
          label: "PresentationSubmission",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/authorizationresponse",
          label: "AuthorizationResponse",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/jwtvpclaimformat",
          label: "JwtVpClaimFormat",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/format",
          label: "Format",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/filteritems",
          label: "FilterItems",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/filter",
          label: "Filter",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/field",
          label: "Field",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/constraint",
          label: "Constraint",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/inputdescriptor",
          label: "InputDescriptor",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/presentationdefinition",
          label: "PresentationDefinition",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/verifiablepresentationjwt",
          label: "VerifiablePresentationJwt",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/jsonwebsignature-2020",
          label: "JsonWebSignature2020",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/dataintegrityproof",
          label: "DataIntegrityProof",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/statusmessage",
          label: "StatusMessage",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialstatus",
          label: "CredentialStatus",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialsubject",
          label: "CredentialSubject",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/proof",
          label: "Proof",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/verifiablecredential",
          label: "VerifiableCredential",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/verifiablepresentation",
          label: "VerifiablePresentation",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/verifiablepresentationjsonld",
          label: "VerifiablePresentationJsonLd",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/presentationvalidation",
          label: "PresentationValidation",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/presentationquerymessage",
          label: "PresentationQueryMessage",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/presentationresponsemessage",
          label: "PresentationResponseMessage",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/verificationrequest",
          label: "VerificationRequest",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/clientinfo",
          label: "ClientInfo",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/authenticateduser",
          label: "AuthenticatedUser",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/unauthenticateduser",
          label: "UnauthenticatedUser",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialsdto",
          label: "CredentialsDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialconfigdto",
          label: "CredentialConfigDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/legalregistrationnumberrequest",
          label: "LegalRegistrationNumberRequest",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/compliancerequest",
          label: "ComplianceRequest",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/keytype",
          label: "KeyType",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/jsonwebkeydto",
          label: "JsonWebKeyDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/keyinfodto",
          label: "KeyInfoDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/keyconfigdto",
          label: "KeyConfigDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/partialtypeclass",
          label: "PartialTypeClass",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/signrequest",
          label: "SignRequest",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/proofdocument",
          label: "ProofDocument",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/validaterequest",
          label: "ValidateRequest",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/verificationmethoddto",
          label: "VerificationMethodDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/servicedto",
          label: "ServiceDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/diddocumentdto",
          label: "DIDDocumentDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/didserviceconfigdto",
          label: "DidServiceConfigDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/jsonldcontextdto",
          label: "JSONLDContextDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/jsonldcontextconfigdto",
          label: "JsonLdContextConfigDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialsubjectdefinition",
          label: "CredentialSubjectDefinition",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialdefinition",
          label: "CredentialDefinition",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/logo",
          label: "Logo",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/image",
          label: "Image",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/extendeddisplay",
          label: "ExtendedDisplay",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialconfiguration",
          label: "CredentialConfiguration",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialresponseencryption",
          label: "CredentialResponseEncryption",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/logodisplay",
          label: "LogoDisplay",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialissuermetadata",
          label: "CredentialIssuerMetadata",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/authorizationdetail",
          label: "AuthorizationDetail",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/accesstoken",
          label: "AccessToken",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/immediatecredentialresponse",
          label: "ImmediateCredentialResponse",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/deferredcredentialresponse",
          label: "DeferredCredentialResponse",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/jwtproof",
          label: "JwtProof",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/cwtproof",
          label: "CwtProof",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/vpproof",
          label: "VpProof",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/ldpvpproof",
          label: "LdpVpProof",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialrequest",
          label: "CredentialRequest",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialofferstatus",
          label: "CredentialOfferStatus",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/transactioncode",
          label: "TransactionCode",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/preauthorizationcodegrant",
          label: "PreAuthorizationCodeGrant",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/authorizationcode",
          label: "AuthorizationCode",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialoffergrants",
          label: "CredentialOfferGrants",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/wallet/schemas/credentialoffer",
          label: "CredentialOffer",
          className: "schema",
        },
      ],
    },
  ],
};

export default sidebar.apisidebar;
